[rkward-cvs] rkward acinclude.m4,1.2,1.3 aclocal.m4,1.2,1.3 configure,1.24,1.25 configure.files,1.6,1.7 configure.in,1.24,1.25 subdirs,1.8,1.9

Thomas Friedrichsmeier tfry at users.sourceforge.net
Sun Oct 2 15:22:02 UTC 2005


Update of /cvsroot/rkward/rkward
In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv10668

Modified Files:
	acinclude.m4 aclocal.m4 configure configure.files configure.in 
	subdirs 
Log Message:
Disable check whether UIC can use KDE plugins. It is not needed to compile RKWard, but causes trouble on some systems

Index: configure
===================================================================
RCS file: /cvsroot/rkward/rkward/configure,v
retrieving revision 1.24
retrieving revision 1.25
diff -C2 -d -r1.24 -r1.25
*** configure	2 Oct 2005 13:29:44 -0000	1.24
--- configure	2 Oct 2005 15:21:59 -0000	1.25
***************
*** 29153,29216 ****
  
  
- if test -z ""; then
- 
- 
- 
- if test x$ac_uic_supports_libpath = xyes; then
- 
- echo "$as_me:$LINENO: checking if UIC has KDE plugins available" >&5
- echo $ECHO_N "checking if UIC has KDE plugins available... $ECHO_C" >&6
- if test "${kde_cv_uic_plugins+set}" = set; then
-   echo $ECHO_N "(cached) $ECHO_C" >&6
- else
- 
- cat > actest.ui << EOF
- <!DOCTYPE UI><UI version="3.0" stdsetdef="1">
- <class>NewConnectionDialog</class>
- <widget class="QDialog">
-    <widget class="KLineEdit">
-         <property name="name">
-            <cstring>testInput</cstring>
-         </property>
-    </widget>
- </widget>
- </UI>
- EOF
- 
- 
- 
- kde_cv_uic_plugins=no
- kde_line="$UIC_PATH -L $kde_widgetdir"
- if test x$ac_uic_supports_nounload = xyes; then
-    kde_line="$kde_line -nounload"
- fi
- kde_line="$kde_line -impl actest.h actest.ui > actest.cpp"
- if { (eval echo "$as_me:$LINENO: \"$kde_line\"") >&5
-   (eval $kde_line) 2>&5
-   ac_status=$?
-   echo "$as_me:$LINENO: \$? = $ac_status" >&5
-   (exit $ac_status); }; then
- 	# if you're trying to debug this check and think it's incorrect,
- 	# better check your installation. The check _is_ correct - your
- 	# installation is not.
- 	if test -f actest.cpp && grep klineedit actest.cpp > /dev/null; then
- 		kde_cv_uic_plugins=yes
- 	fi
- fi
- rm -f actest.ui actest.cpp
- 
- fi
- 
- 
- echo "$as_me:$LINENO: result: $kde_cv_uic_plugins" >&5
- echo "${ECHO_T}$kde_cv_uic_plugins" >&6
- if test "$kde_cv_uic_plugins" != yes; then
- 	{ { echo "$as_me:$LINENO: error: you need to install kdelibs first." >&5
- echo "$as_me: error: you need to install kdelibs first." >&2;}
-    { (exit 1); exit 1; }; }
- fi
- fi
- 
- fi
  
  ac_kde_libraries="$kde_libdir"
--- 29153,29156 ----
***************
*** 30495,30499 ****
    for j in apps/ksgmltools2/customization/kde-chunk.xsl;
    do
!     echo "configure: 30497: $i/$j" >&5
      if test -r "$i/$j"; then
        echo "taking that" >&5
--- 30435,30439 ----
    for j in apps/ksgmltools2/customization/kde-chunk.xsl;
    do
!     echo "configure: 30437: $i/$j" >&5
      if test -r "$i/$j"; then
        echo "taking that" >&5
***************
*** 30661,30669 ****
  
  
- #MIN_CONFIG(3)
- 
- 
- 
- 
  
  
--- 30601,30604 ----

Index: configure.in
===================================================================
RCS file: /cvsroot/rkward/rkward/configure.in,v
retrieving revision 1.24
retrieving revision 1.25
diff -C2 -d -r1.24 -r1.25
*** configure.in	2 Oct 2005 13:29:44 -0000	1.24
--- configure.in	2 Oct 2005 15:22:00 -0000	1.25
***************
*** 67,81 ****
  dnl AC_PROG_YACC dnl __kdevelop__
  
- #MIN_CONFIG(3)
- 
- dnl PACKAGE set before
- 
- dnl CXXFLAGS="$NOOPT_CXXFLAGS" dnl __kdevelop[noopt]__
- dnl CFLAGS="$NOOPT_CFLAGS" dnl __kdevelop[noopt]__
- dnl CXXFLAGS="$CXXFLAGS $USE_EXCEPTIONS" dnl __kdevelop[exc]__
- 
- dnl KDE_NEED_FLEX dnl __kdevelop__
- dnl AC_PROG_YACC dnl __kdevelop__
- 
  KDE_CREATE_SUBDIRSLIST
  AC_CONFIG_FILES([ Makefile ])
--- 67,70 ----

Index: subdirs
===================================================================
RCS file: /cvsroot/rkward/rkward/subdirs,v
retrieving revision 1.8
retrieving revision 1.9
diff -C2 -d -r1.8 -r1.9
*** subdirs	2 Oct 2005 13:29:44 -0000	1.8
--- subdirs	2 Oct 2005 15:22:00 -0000	1.9
***************
*** 2,4 ****
  po
  rkward
- rkward-0.3.3
--- 2,3 ----

Index: acinclude.m4
===================================================================
RCS file: /cvsroot/rkward/rkward/acinclude.m4,v
retrieving revision 1.2
retrieving revision 1.3
diff -C2 -d -r1.2 -r1.3
*** acinclude.m4	27 Jul 2004 23:05:23 -0000	1.2
--- acinclude.m4	2 Oct 2005 15:21:59 -0000	1.3
***************
*** 1846,1852 ****
  AC_SUBST(all_libraries)
  
! if test -z "$1"; then
! KDE_CHECK_UIC_PLUGINS
! fi
  
  ac_kde_libraries="$kde_libdir"
--- 1846,1852 ----
  AC_SUBST(all_libraries)
  
! dnl if test -z "$1"; then
! dnl KDE_CHECK_UIC_PLUGINS
! dnl fi
  
  ac_kde_libraries="$kde_libdir"

Index: aclocal.m4
===================================================================
RCS file: /cvsroot/rkward/rkward/aclocal.m4,v
retrieving revision 1.2
retrieving revision 1.3
diff -C2 -d -r1.2 -r1.3
*** aclocal.m4	27 Jul 2004 23:05:23 -0000	1.2
--- aclocal.m4	2 Oct 2005 15:21:59 -0000	1.3
***************
*** 1858,1864 ****
  AC_SUBST(all_libraries)
  
! if test -z "$1"; then
! KDE_CHECK_UIC_PLUGINS
! fi
  
  ac_kde_libraries="$kde_libdir"
--- 1858,1864 ----
  AC_SUBST(all_libraries)
  
! dnl if test -z "$1"; then
! dnl KDE_CHECK_UIC_PLUGINS
! dnl fi
  
  ac_kde_libraries="$kde_libdir"

Index: configure.files
===================================================================
RCS file: /cvsroot/rkward/rkward/configure.files,v
retrieving revision 1.6
retrieving revision 1.7
diff -C2 -d -r1.6 -r1.7
*** configure.files	2 Oct 2005 13:29:44 -0000	1.6
--- configure.files	2 Oct 2005 15:22:00 -0000	1.7
***************
*** 1,3 ****
  ./admin/configure.in.min
  configure.in.in
- ./rkward-0.3.3/configure.in.in
--- 1,2 ----





More information about the rkward-tracker mailing list